Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Transport.h File Reference

`#include "ace/Service_Object.h"`
`#include "ace/Acceptor.h"`
`#include "ace/SOCK_Acceptor.h"`
`#include "ace/SOCK_Connector.h"`
`#include "ace/Connector.h"`
`#include "ace/Addr.h"`
`#include "ace/SOCK_Dgram.h"`
`#include "orbsvcs/AV/AV_export.h"`
`#include "FlowSpec_Entry.h"`
`#include "AV_Core.h"`

Include dependency graph for Transport.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_AV_Acceptor
class | TAO_AV_Acceptor_Registry
class | TAO_AV_Connector
class | TAO_AV_Connector_Registry
class | TAO_AV_Flow_Handler
class | TAO_AV_Flow_Protocol_Item
class | TAO_AV_Transport
| A Base class for the different transport protocols. All the different transports should derive and implement the open,close,send and recv methods. More...
class | TAO_AV_Transport_Factory
class | TAO_AV_Transport_Item
## Typedefs
typedef ACE_Unbounded_Set< TAO_AV_Connector * > | TAO_AV_ConnectorSet
typedef ACE_Unbounded_Set_Iterator< TAO_AV_Connector * > | TAO_AV_ConnectorSetItor
typedef ACE_Unbounded_Set< TAO_AV_Acceptor * > | TAO_AV_AcceptorSet
typedef ACE_Unbounded_Set_Iterator< TAO_AV_Acceptor * > | TAO_AV_AcceptorSetItor

## Typedef Documentation

typedef ACE_Unbounded_Set<TAO_AV_Acceptor*> TAO_AV_AcceptorSet

typedef ACE_Unbounded_Set_Iterator<TAO_AV_Acceptor*> TAO_AV_AcceptorSetItor

typedef ACE_Unbounded_Set<TAO_AV_Connector*> TAO_AV_ConnectorSet

typedef ACE_Unbounded_Set_Iterator<TAO_AV_Connector*> TAO_AV_ConnectorSetItor